Page MenuHomePhabricator

Make it possible to adapt references manually to an empty paragraph
Closed, ResolvedPublic1 Story Points

Description

When auto-adding machine translation or source text to the translation column, the references are adapted quite nicely.

If the user deletes the auto-inserted text, there is no way to re-add the references.

When clicking a reference in the source column, there must be a button on the reference card to add the reference manually from the source column to the translation column.

Design details

  • When clicking a reference in the source text, it should become highlighted and the focus should not be lost. Just like it happens with links.
  • When a reference card is shown and it does not exist in the target, an option to add reference should be provided in the reference card. Just like it happens with links.
  • If possible, the added reference in the translation should behave as an atomic element:
    • It should not be possible to change the label (unlike links, it does not make sense to change "[1]" to be anything else). Actions on an added reference should be edit (when supported) and remove (which will remove the whole thing, not leaving a text version of "[1]").
    • When a reference is added to the text, it is important that the cursor is placed after it in a way that typing does not write in superscript.

Event Timeline

Amire80 created this task.May 18 2015, 9:46 AM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Amire80, santhosh, Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2015, 9:46 AM

@Pginer-WMF, do we have a design for this?

On https://commons.wikimedia.org/w/index.php?title=File:Content-translation-designs.pdf&page=15 I only see what is supposed to happen when clicking a reference in the translation column. Is there a design for the source column? If not, can you make one please? :)

Pginer-WMF updated the task description. (Show Details)May 20 2015, 9:51 AM

@Amire80, I have added some design details to the ticket, let me know if more details are needed.

Amire80 removed Pginer-WMF as the assignee of this task.May 20 2015, 10:07 AM

Looks clear enough to me, thanks.

I guess that it must be noted that this button is only relevant when clicking a reference in the source column.

Arrbee raised the priority of this task from Normal to High.May 25 2015, 9:17 AM
Arrbee added a subscriber: Arrbee.
santhosh edited a custom field.May 25 2015, 9:55 AM
santhosh claimed this task.May 26 2015, 9:08 AM
santhosh moved this task from Backlog to In Progress on the LE-Sprint-87 board.

Change 213793 had a related patch set uploaded (by Santhosh):
Make it possible to adapt references manually to an empty paragraph

https://gerrit.wikimedia.org/r/213793

santhosh moved this task from In Progress to In Review on the LE-Sprint-87 board.May 26 2015, 9:13 AM
Amire80 closed this task as Resolved.May 27 2015, 9:03 AM
Amire80 removed a project: Patch-For-Review.
Amire80 moved this task from In Review to Done on the LE-Sprint-87 board.

Change 213793 merged by jenkins-bot:
Make it possible to adapt references manually to an empty paragraph

https://gerrit.wikimedia.org/r/213793